# Gimp.param_spec_color

    function param_spec_color(name: String, nick: String, blurb: String, has_alpha: Boolean, default_color: Gegl.Color, flags: GObject.ParamFlags): GObject.ParamSpec {
        // Gjs wrapper for gimp_param_spec_color()
    }

Creates a new GObject.ParamSpec instance specifying a Gegl.Color property. Note that the default_color is duplicated, so reusing object will not change the default color of the returned [struct@Gimp.ParamSpecColor].

name

  canonical name of the property specified

nick

  nick name for the property specified

blurb

  description of the property specified

has_alpha

  true if the alpha channel has relevance.

default_color

  the default value for the property specified

flags

  flags for the property specified

Returns

  a newly created parameter specification